Subject: bug#15866: Gnutls elisp code doesn't properly check for file existence

From: Ted Zlatanov <[email-masked]>
Date: Sat, 16 Nov 2013 18:34:46 -0500

On Tue, 12 Nov 2013 15:02:40 -0500 Stefan Monnier <[email-masked]> wrote: 

>> So I think we should do ii], but not i].
SM> Please go ahead, yes.

>> Btw, I think many Emacs packages don't make sense with remote files,
>> so they should also ignore file handlers.  IOW, this is not specific
>> to gnutls.el.

SM> Not sure how widespread this problem is.  At least the gnutls case is
SM> rather special since most other C calls that manipulate files are
SM> wrapped with a magic file handler.

I am also thinking now about the FFI work (yes, it's somewhere on my
TODO list) and how these issues will be handled there.  It seems that
the FFI glue may have to tag filenames distinctly from plain strings and
may even have some file existence checks and hooks.

Ted